Name:           ocaml-newt
Version:        0.9
Release:        %mkrel 2
Summary:        OCaml library for using newt text mode window system
License:        LGPLv2+ with exceptions
Group:          Development/Other
URL:            http://people.redhat.com/~rjones/ocaml-newt/
Source0:        http://people.redhat.com/~rjones/ocaml-newt/ocaml-newt-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  newt-devel
Requires: newt-devel

%description
This is a set of OCaml bindings to newt.

The newt windowing system is a terminal-based window and widget
library designed for writing applications with a simple, but
user-friendly, interface.  While newt is not intended to provide the
rich feature set advanced applications may require, it has proven to
be flexible enough for a wide range of applications (most notably, Red
Hat's installation process).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
# Dependencies are broken in the upstream package.
make newt_int.mli
rm -f .depend
make depend
make all
make opt
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/newt
make install

%files
%doc COPYING.LIB INSTALL README
%dir %{_libdir}/ocaml/newt/
%{_libdir}/ocaml/newt/META
%{_libdir}/ocaml/newt/*.cma
%{_libdir}/ocaml/newt/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%{_libdir}/ocaml/newt/*.a
%{_libdir}/ocaml/newt/*.cmxa
%{_libdir}/ocaml/newt/*.cmx
%{_libdir}/ocaml/newt/*.mli


%changelog

* Tue Mar 27 2012 malo <malo> 0.9-2.mga2
+ Revision: 227202
- add missing Requires to newt-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.9-1.mga2
+ Revision: 225914
- imported package ocaml-newt


* Mon Sep 07 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 432962
- take the devel one in BuildRequires

* Mon Sep 07 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 432945
- BuildRequires: ocaml-camlidl

* Fri Sep 04 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 431412
- spec file mostly imported from the Fedora's one by Richard W. M. Jones
